Bug 310081 - (CVE-2007-4988) CVE-2007-4988 Integer overflow in ImageMagick's DIB coder
CVE-2007-4988 Integer overflow in ImageMagick's DIB coder
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=moderate,source=idefense,publi...
: Security
Depends On: 411341 411351 411361 411371 411381 411391
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-27 18:25 EDT by Red Hat Product Security
Modified: 2016-03-04 06:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backported patch from Jonathan Smith (1.52 KB, patch)
2007-10-29 07:29 EDT, Mark J. Cox (Product Security)
no flags Details | Diff
Needed for backport (1.88 KB, patch)
2007-10-29 07:30 EDT, Mark J. Cox (Product Security)
no flags Details | Diff
needed for backport (3.54 KB, patch)
2007-10-29 07:31 EDT, Mark J. Cox (Product Security)
no flags Details | Diff
ImageMagick-5.5.6-CVE-2007-4988.patch (1.51 KB, patch)
2007-12-05 06:44 EST, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Lubomir Kundrak 2007-09-27 18:25:26 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-4988 to the following vulnerability:

Sign extension error in the ReadDIBImage function in ImageMagick before 6.3.5-9 allows context-dependent attackers to execute arbitrary code via a crafted width value in an image file, which triggers an integer overflow and a heap-based buffer overflow.

References:

http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=597
http://studio.imagemagick.org/pipermail/magick-announce/2007-September/000037.html
http://www.imagemagick.org/script/changelog.php
http://www.securityfocus.com/bid/25765
http://www.frsirt.com/english/advisories/2007/3245
http://www.securitytracker.com/id?1018729
http://secunia.com/advisories/26926
http://xforce.iss.net/xforce/xfdb/36737
Comment 2 Lubomir Kundrak 2007-09-27 18:34:58 EDT
RHEL-2.1 is not affected, it did not contain the DIB coder.
Comment 4 Mark J. Cox (Product Security) 2007-10-29 07:29:44 EDT
Created attachment 241681 [details]
backported patch from Jonathan Smith
Comment 5 Mark J. Cox (Product Security) 2007-10-29 07:30:45 EDT
Created attachment 241701 [details]
Needed for backport
Comment 6 Mark J. Cox (Product Security) 2007-10-29 07:31:08 EDT
Created attachment 241711 [details]
needed for backport
Comment 7 Lubomir Kundrak 2007-12-04 16:51:50 EST
        Doesn't Affect: RHEL2.1 (no dib support)
        Affects: RHEL3
        Affects: RHEL4
        Affects: RHEL5
Comment 9 Bastien Nocera 2007-12-05 06:44:15 EST
Created attachment 278181 [details]
ImageMagick-5.5.6-CVE-2007-4988.patch

Backported patch for 5.5.6 (as used in RHEL-3)
Comment 10 Bastien Nocera 2007-12-05 12:34:16 EST
The patches from comment 5 and 6 are missing the changes to the headers...
Comment 12 Red Hat Bugzilla 2009-10-23 15:03:20 EDT
Reporter changed to security-response-team@redhat.com by request of Jay Turner.

Note You need to log in before you can comment on or make changes to this bug.